Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBUserDelegations

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBBase
            |
            +--com.jxml.qare.qhome.db.DBUserDelegations

All Implemented Interfaces:
  DeleteListener, EventListener

public final class DBUserDelegations
extends DBBase
implements DeleteListener

Inner Class Summary
`class` | `DBUserDelegations.Row`

Fields inherited from class com.jxml.qare.qhome.db.DBBase
`createListeners, dbBases, deleteListeners, fileDateFormat, restored`

Method Summary
`void` | `backup(DataOutputStream dos)`
`DBUserDelegations.Row` | `create(DBExportDelegation export)`
`DBUserDelegations.Row` | `create(DBUser.Row user, DBApplication.Row application, DBPrivilege.Row privilege, DBSystem.Row system, DBUser.Row grantor, DBUser.Row delegee, DBProject.Row project, DBProject.Row grantorProject, DBUser.Row grandGrantor, Date aquisitionDate, int delegationLimit, int delegationCount, int delegationDepth, int delegationDistance)`
`DBRow` | `createObj(ResultSet rs)`
`void` | `createTable()`
`void` | `deleteAll(DBUser.Row user, DBSystem.Row system)`
`void` | `deleteEvent(DeleteEvent deleteEvent)`
`DBUserDelegations.Row` | `get(DBUser.Row user, DBApplication.Row application, DBPrivilege.Row privilege, DBSystem.Row system, DBUser.Row grantor, DBUser.Row delegee, DBProject.Row project, DBProject.Row grantorProject, DBUser.Row grandGrantor)`
`List` | `get(DBUser.Row user, DBSystem.Row system)`
`DBUserDelegations.Row` | `get(DBUser.Row user, int delegationId)`
`DBUserDelegations.Row` | `get(int delegationId)`
`List` | `getApplication(DBUser.Row user)`
`List` | `getDelegatablePrivileges(DBUser.Row user, DBQList ql, int limit)`
`List` | `getDelegationRowList(DBUser.Row user, DBQOrderMungeColumn domc, DBQList qList)`
`List` | `getDelegeeNames(DBUser.Row user)`
`List` | `getGrantorNames(DBUser.Row user)`
`List` | `getGrantorNames(DBUser.Row user, DBApplication.Row application, DBPrivilege.Row privilege, DBSystem.Row system, DBUser.Row delegee, DBProject.Row project)`
`int` | `getMaxPendingId()`
`List` | `getProjectNames(DBUser.Row user)`
`List` | `getUrls(DBUser.Row user)`
`List` | `getUrls(DBUser.Row user, DBApplication.Row application, DBPrivilege.Row privilege)`
`boolean` | `hasDelegableAll(DBUser.Row user, DBApplication.Row app)`
`void` | `restore(String fileNamePrefix, DataInputStream dis)`
`String` | `tableName()`

Methods inherited from class com.jxml.qare.qhome.db.DBBase
`addCreateListener, addDeleteListener, addKey, backup, backupString, clearRef, create, createCurrentDate, createTable, deleteWeak, executeUpdate, getRow, getRows, getRows, getWeak, removeCreateListener, removeDeleteListener, restore, restoreString, sendCreateEvent, sendDeleteEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tableName

    public String tableName()

  Overrides:
    `tableName` in class `DBBase`

### createTable

    public void createTable()
                     throws Exception

  Overrides:
    `createTable` in class `DBBase`

### deleteEvent

    public void deleteEvent(DeleteEvent deleteEvent)
                     throws Exception

  Specified by:
    `deleteEvent` in interface `DeleteListener`

### create

    public DBUserDelegations.Row create(DBExportDelegation export)
                                 throws Exception

### create

    public DBUserDelegations.Row create(DBUser.Row user,
                                        DBApplication.Row application,
                                        DBPrivilege.Row privilege,
                                        DBSystem.Row system,
                                        DBUser.Row grantor,
                                        DBUser.Row delegee,
                                        DBProject.Row project,
                                        DBProject.Row grantorProject,
                                        DBUser.Row grandGrantor,
                                        Date aquisitionDate,
                                        int delegationLimit,
                                        int delegationCount,
                                        int delegationDepth,
                                        int delegationDistance)
                                 throws Exception

### deleteAll

    public void deleteAll(DBUser.Row user,
                          DBSystem.Row system)
                   throws Exception

### get

    public List get(DBUser.Row user,
                    DBSystem.Row system)
             throws Exception

### get

    public DBUserDelegations.Row get(DBUser.Row user,
                                     DBApplication.Row application,
                                     DBPrivilege.Row privilege,
                                     DBSystem.Row system,
                                     DBUser.Row grantor,
                                     DBUser.Row delegee,
                                     DBProject.Row project,
                                     DBProject.Row grantorProject,
                                     DBUser.Row grandGrantor)
                              throws Exception

### get

    public DBUserDelegations.Row get(int delegationId)
                              throws Exception

### get

    public DBUserDelegations.Row get(DBUser.Row user,
                                     int delegationId)
                              throws Exception

### getDelegationRowList

    public List getDelegationRowList(DBUser.Row user,
                                     DBQOrderMungeColumn domc,
                                     DBQList qList)
                              throws Exception

### hasDelegableAll

    public boolean hasDelegableAll(DBUser.Row user,
                                   DBApplication.Row app)
                            throws Exception

### getDelegatablePrivileges

    public List getDelegatablePrivileges(DBUser.Row user,
                                         DBQList ql,
                                         int limit)
                                  throws Exception

### getGrantorNames

    public List getGrantorNames(DBUser.Row user)
                         throws Exception

### getGrantorNames

    public List getGrantorNames(DBUser.Row user,
                                DBApplication.Row application,
                                DBPrivilege.Row privilege,
                                DBSystem.Row system,
                                DBUser.Row delegee,
                                DBProject.Row project)
                         throws Exception

### getDelegeeNames

    public List getDelegeeNames(DBUser.Row user)
                         throws Exception

### getProjectNames

    public List getProjectNames(DBUser.Row user)
                         throws Exception

### getUrls

    public List getUrls(DBUser.Row user)
                 throws Exception

### getUrls

    public List getUrls(DBUser.Row user,
                        DBApplication.Row application,
                        DBPrivilege.Row privilege)
                 throws Exception

### getApplication

    public List getApplication(DBUser.Row user)
                        throws Exception

### createObj

    public DBRow createObj(ResultSet rs)
                    throws Exception

  Overrides:
    `createObj` in class `DBBase`

### getMaxPendingId

    public int getMaxPendingId()
                        throws Exception

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Overrides:
    `backup` in class `DBBase`

### restore

    public void restore(String fileNamePrefix,
                        DataInputStream dis)
                 throws Exception

  Overrides:
    `restore` in class `DBBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD